#ifndef FRMTREEVIEWER_H
#define FRMTREEVIEWER_H

#include "ui_treeviewcut.h"

#include <TCanvas.h>

// forward declarations
class TTree;
class TCutG;
class TString;
class TFile;

class TreeViewer: public QDialog, private Ui::TreeViewer {
  
  Q_OBJECT

public:
  TreeViewer(QWidget *parent = 0);
  ~TreeViewer();
  TCanvas *getCanvas() { return qCanvas->GetCanvas(); }
  bool openFile(TString fileName);
  bool getTree(TString treeName);
  void draw();
				 
public slots:
  void on_btnCut_clicked();
  void on_btnSelect_clicked();



private:
  void update();
  TFile *file_;
  TTree *tree_;
  QList<QPair<QString,TCutG*> > cutList_;
  TCutG *tmpCut_;



};

#endif
